Subject: Re: What's cooking in git.git (Jun 2014, #04; Tue, 17)

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Jun 2014 13:40:16 -0700

Duy Nguyen <[email-masked]> writes:

> On Thu, Jun 19, 2014 at 12:25 AM, Junio C Hamano <[email-masked]> wrote:
>> [Stalled]
>> * nd/multiple-work-trees (2014-03-25) 28 commits
>>  - count-objects: report unused files in $GIT_DIR/repos/...
>>  - gc: support prune --repos
>>  - gc: style change -- no SP before closing bracket
>>  - prune: strategies for linked checkouts
>>  - checkout: detach if the branch is already checked out elsewhere
>>  - checkout: clean up half-prepared directories in --to mode
>>  - checkout: support checking out into a new working directory
>>  - use new wrapper write_file() for simple file writing
>>  - wrapper.c: wrapper to open a file, fprintf then close
>>  - setup.c: support multi-checkout repo setup
>>  - setup.c: detect $GIT_COMMON_DIR check_repository_format_gently()
>>  - setup.c: convert check_repository_format_gently to use strbuf
>>  - setup.c: detect $GIT_COMMON_DIR in is_git_directory()
>>  - setup.c: convert is_git_directory() to use strbuf
>>  - git-stash: avoid hardcoding $GIT_DIR/logs/....
>>  - *.sh: avoid hardcoding $GIT_DIR/hooks/...
>>  - git-sh-setup.sh: use rev-parse --git-path to get $GIT_DIR/objects
>>  - $GIT_COMMON_DIR: a new environment variable
>>  - commit: use SEQ_DIR instead of hardcoding "sequencer"
>>  - fast-import: use git_path() for accessing .git dir instead of get_git_dir()
>>  - reflog: avoid constructing .lock path with git_path
>>  - *.sh: respect $GIT_INDEX_FILE
>>  - git_path(): be aware of file relocation in $GIT_DIR
>>  - path.c: group git_path(), git_pathdup() and strbuf_git_path() together
>>  - path.c: rename vsnpath() to do_git_path()
>>  - git_snpath(): retire and replace with strbuf_git_path()
>>  - path.c: make get_pathname() call sites return const char *
>>  - path.c: make get_pathname() return strbuf instead of static buffer
>>
>>  A replacement for contrib/workdir/git-new-workdir that does not
>>  rely on symbolic links and make sharing of objects and refs safer
>>  by making the borrowee and borrowers aware of each other.
>
> Anything I can do to get this going again? The only thing I just found
> (and have not fixed) is, I think $GIT_DIR/info/excludes and
> $GIT_DIR/info/sparse-checkout should be per-worktree, not shared.

I threw it into the stalled category because you said even you do
not use it yourself (you may also have said that it has issues
already known and not fixed) in the first place.  If we want to
resuscitate it, a good point to start is to refresh it with a reroll
to address known issues, I would guess.

Thanks.